%define	version 0.6.5
%define name sketch
%define release 4mdk

Name: %{name}
Summary: Drawing tool
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: Imaging-1.0b1.tar.bz2 
Source2: sketch.menu.bz2
Source3: sketch16.xpm.bz2
Source4: sketch32.xpm.bz2
Source5: sketch48.xpm.bz2
Group: Graphics
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
Requires: python-imaging tkinter
Prefix: /usr
URL: http://sketch.sourceforge.net/

%description
Drawing tool written in Python, using Bezier curves. Need to install tkinter.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version} -a 1  

%build
./setup.py configure --imaging-include="$RPM_BUILD_DIR/%{name}-%{version}/Imaging-1.0b1/libImaging" 
./setup.py build

%install
./setup.py install --prefix=$RPM_BUILD_ROOT/usr

# (fg) Install program is shitty to say the least, we have to substitute all
# occurences of RPM_BUILD_{ROOT,DIR} to void :(

(
  cd $RPM_BUILD_ROOT

  for i in `find -type f`; do
    perl -pi -e "s|$RPM_BUILD_ROOT||" $i;
    perl -pi -e "s|$RPM_BUILD_DIR||" $i;
  done
)

# Now correct all the bugs the install script introduces:
cp Sketch/Modules/*so $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/Sketch/Modules
cp Filter/*so Pax/*so $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/Lib/

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/lib/menu/sketch
#install menu icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/mini/sketch.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/sketch.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/usr/share/icons/large/sketch.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean

%files
%defattr(-,root,root,0755)
%doc Doc/* 
/usr/lib/%{name}-%{version}
/usr/bin/*
/usr/lib/menu/sketch
/usr/share/icons/mini/sketch.xpm
/usr/share/icons/sketch.xpm
/usr/share/icons/large/sketch.xpm

%changelog
* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-4mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-3mdk
- remove menu icon path

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.6.5-2mdk
- Added nice Hlne's menu icon

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 0.6.5-1mdk
- New version
- Added menu entry

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.6.3-6mdk
- Many fixes to the spec file...
  The install script is _really_ broken

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Major spec file fixes
- Made it work

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the URL tag

* Tue Dec 28 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix pyhton-imaging requires (thanks Fred)

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- first specfile for sketch
- new in contribs
- little trick to make it compile
